package com.yutou.qqbot.handle;

import com.yutou.common.okhttp.BaseBean;
import lombok.Data;

@Data
public class BaseHandle<T> extends BaseBean {
    protected String type;
    protected T data;
    protected String src;

    public BaseHandle(String type) {
        this.type = type;
    }


    public BaseHandle(String type, Object obj) {
        super();
        this.type = type;
        this.data= (T) obj;
    }
}
